<?php

namespace ModulesGarden\ProxmoxAddon\App\Events\Cloud;

use MGProvision\Proxmox\v2\interfaces\VmInterface;
use ModulesGarden\ProxmoxAddon\App\Models\VmModel;
use ModulesGarden\ProxmoxAddon\Core\Events\Event;

class QemuUpdateEvent extends VmEvent
{

    protected $changeVmPassword = true;

    /**
     * @return bool
     */
    public function isChangeVmPassword()
    {
        return $this->changeVmPassword;
    }

    /**
     * @param bool $changeVmPassword
     */
    public function setChangeVmPassword($changeVmPassword)
    {
        $this->changeVmPassword = $changeVmPassword;
        return $this;
    }


}